## org.hibernate.cfg
Class VerifyFetchProfileReferenceSecondPass

    java.lang.Object
      org.hibernate.cfg.VerifyFetchProfileReferenceSecondPass

All Implemented Interfaces:
  Serializable, SecondPass

    public class VerifyFetchProfileReferenceSecondPass

extends Object
implements SecondPass

Author:
  Hardy Ferentschik
See Also:
  Serialized Form

Constructor Summary
`VerifyFetchProfileReferenceSecondPass(String fetchProfileName, FetchProfile.FetchOverride fetch, Mappings mappings)`

Method Summary
`void` `doSecondPass(Map persistentClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifyFetchProfileReferenceSecondPass

    public VerifyFetchProfileReferenceSecondPass(String fetchProfileName,
                                                 FetchProfile.FetchOverride fetch,
                                                 Mappings mappings)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Specified by:
    `doSecondPass` in interface `SecondPass`
  Throws:
    `MappingException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.